Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Instalación y Actualizaciones


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Consulta kernels tumbleweed
  #1  
Antiguo 15-sep-2012, 20:04
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.391
Agradecimientos: 328
Agradecido 486 Veces en 402 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Consulta kernels tumbleweed

Hola a todos. Tengo una duda, no es ningún problema pero me tiene intrigado; veamos:
Yo estaba usando la versión 12.1 con los repos Tumbleweed y hasta antes de salir la versión 12.2 iba por el kernel 3.5.xxx(no lo se exacto) y ahora que salio la nueva versión de OpenSUSE y que lleva el kernel 3.4.6-2.10 en los repos de Tumbleweed no hay ninguna versión superior y la pregunta: Si antes en los mismos repos estaba porqué ahora no aparece?
A parte de la duda, el kernel que estaba usando(3.5.x-x.xx) era, con diferencia, mucho mas estable...
Salu2
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #2  
Antiguo 15-sep-2012, 21:46
jcsl jcsl está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 18-mayo-2008
Versión: Tumbleweed
Mensajes: 2.104
Agradecimientos: 0
Agradecido 973 Veces en 587 Mensajes
Poder de Credibilidad: 12
jcsl llegará a ser famoso muy pronto
Hola.

Pues es muy fácil: cada vez que aparece una nueva versión de openSUSE el directorio Tumbleweed se vacía por completo. Ayer estuve leyendo precisamente sobre lo que decían los encargados del repositorio. De momento añadirán algunos paquetes como git y poco más, pero después de darle unas semanas (por la forma en la que lo decían más bien pocas, XD) añadirán el kernel que haya en ese momento, KDE 4.9.x y todo lo mismo que había antes del borrado pero adaptado para que funcione bien con la versión actual, que es de lo que se trata: estar al día de forma estable.

Un saludo.
Responder Citando
  #3  
Antiguo 15-sep-2012, 22:00
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.391
Agradecimientos: 328
Agradecido 486 Veces en 402 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Entonces lo que no veo yo muy claro es que ahora empiezan a meter paquetería mas nueva, aunque estable y van actualizando todo y, de repente, quitan todo para dejar solo lo que sale en una nueva versión y que siempre es mas antiguo!! O sea, yo tenía un kernel 3.5 y ahora me lo han degradado a una versión inferior y eso sin contar el empastre que me armaron que me tocó reinstalar desde el DVD por no estar peleando con el grub2. Y a donde yo quería llegar, si se supone que va a ser una rolling release (un poco extraña pero esa es la idea) no deberían trabajar en otro sentido?
Digo yo que ya habían testeado ese kernel (por poner un ejemplo, podía ser cualquier otro paquete) ya como para seguir avanzando para adelante no?
Salu2
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #4  
Antiguo 15-sep-2012, 22:09
jcsl jcsl está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 18-mayo-2008
Versión: Tumbleweed
Mensajes: 2.104
Agradecimientos: 0
Agradecido 973 Veces en 587 Mensajes
Poder de Credibilidad: 12
jcsl llegará a ser famoso muy pronto
Hola.

Es que no convierte a openSUSE en una rolling release, simplemente le va añadiendo paquetes actualizados asegurándose de que el conjunto funcionará bien. Al salir una nueva versión esperan un poco para asegurarse de que está libre de errores y de que no son ellos los que los provocan con los paquetes nuevos. Para mí, Tumbleweed sirve para lo mismo que hacíamos muchos antes de que apareciera pero de un modo más simple: en vez de buscar tú los repositorios, añadirlos y esperar que la cosa no falle, te dan un único repositorio con todas las actualizaciones que vayan saliendo y además las prueban para que no se rompa el sistema. El kernel que comentas estaba probado para funcionar con los paquetes de la versión anterior, estaba compilado con otra versión de gcc y además no es un paquete solitario, va acompañado de unos "amigos" como binutils y otros más.

Yo actualicé el netbook y de momento funciona, y eso que tenía más repositorios aparte. Eso sí, de momento sigo usando GRUB legacy en él, no estás obligado a cambiar. Además tardé un buen rato solucionando dependencias, por lo que quizás habría sido mejor instalar desde cero conservando la configuración.

Un saludo.
Responder Citando
  #5  
Antiguo 15-sep-2012, 22:19
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.391
Agradecimientos: 328
Agradecido 486 Veces en 402 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Cita:
Iniciado por jcsl Ver Mensaje
Hola.

Es que no convierte a openSUSE en una rolling release, simplemente le va añadiendo paquetes actualizados asegurándose de que el conjunto funcionará bien. Al salir una nueva versión esperan un poco para asegurarse de que está libre de errores y de que no son ellos los que los provocan con los paquetes nuevos. Para mí, Tumbleweed sirve para lo mismo que hacíamos muchos antes de que apareciera pero de un modo más simple: en vez de buscar tú los repositorios, añadirlos y esperar que la cosa no falle, te dan un único repositorio con todas las actualizaciones que vayan saliendo y además las prueban para que no se rompa el sistema. El kernel que comentas estaba probado para funcionar con los paquetes de la versión anterior, estaba compilado con otra versión de gcc y además no es un paquete solitario, va acompañado de unos "amigos" como binutils y otros más.

Yo actualicé el netbook y de momento funciona, y eso que tenía más repositorios aparte. Eso sí, de momento sigo usando GRUB legacy en él, no estás obligado a cambiar. Además tardé un buen rato solucionando dependencias, por lo que quizás habría sido mejor instalar desde cero conservando la configuración.

Un saludo.
Entonces creo que no tendría que haber actualizado tan pronto, a sabiendas que
iba a salir una nueva versión.
Y analizando esto me viene otra duda, yo siempre actualizaba con un "zypper dup" desde que puse los repos y hasta el final y solo tengo los repos current, packman y nvidia. No debería actualizar así o sí?
Salu2
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #6  
Antiguo 15-sep-2012, 22:32
jcsl jcsl está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 18-mayo-2008
Versión: Tumbleweed
Mensajes: 2.104
Agradecimientos: 0
Agradecido 973 Veces en 587 Mensajes
Poder de Credibilidad: 12
jcsl llegará a ser famoso muy pronto
Hola.

Cita:
Iniciado por jesusx Ver Mensaje
Y analizando esto me viene otra duda, yo siempre actualizaba con un "zypper dup" desde que puse los repos y hasta el final y solo tengo los repos current, packman y nvidia. No debería actualizar así o sí?
Salu2:adios:
Pues eso depende de cada uno, usa aquello en lo que tengas más dominio y te sea más cómodo. Yo siempre uso YaST para gestionar el software, salvo que sea para instalar algún paquete pequeño. Al actualizar versión no hago tampoco todo el cambio a cascoporro. Primero actualizo el sistema base junto con los programas de gestión de software y luego el resto. Así es más fácil y vas resolviendo los problemas de dependencias poco a poco. Al ser una herramienta gráfica se ven muy bien los cambios y me parece menos engorroso que la consola. En general, yo creo que YaST debería ser el método que le deberíamos sugerir a los nuevos usuarios, porque muchos leen "consola" y les da el lío. Siempre habrá tiempo para usar zypper más tarde. Pero como digo, esta es solo mi opinión.

Un saludo.
Responder Citando
  #7  
Antiguo 16-sep-2012, 00:22
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.232
Agradecimientos: 22
Agradecido 301 Veces en 258 Mensajes
Poder de Credibilidad: 14
XisEme está en el buen camino
"... creo que no tendría que haber actualizado tan pronto ..." + "zypper dup" => regresión del kernel y otras.

Un criterio para contestar no a un zypper dup es fijarse en el número de paquetes a desactualizar, si es elevado ... cuidadín, cuidadín, mejor revisar bien; con el yast como dice jcsl

Con un "zypper up" resulta que tengo instaladas versiones más modernas (yast=rojo) de las disponibles en los repositorios => esperar.

Al contrario que jcsl, en los casos de problemas de dependencias simplemente le he dicho no actualizar, con lo que mi tumbleweed es casi igual a la de antes de la modificación de sus repositorios.
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
  #8  
Antiguo 16-sep-2012, 00:39
Avatar de jesusx
jesusx jesusx está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 06-enero-2008
Ubicación: Castellón
Versión: Tumbleweed+Kde
Mensajes: 3.391
Agradecimientos: 328
Agradecido 486 Veces en 402 Mensajes
Poder de Credibilidad: 13
jesusx está en el buen camino
Bueno pues, se agradecen vuestros comentarios.
Sigo pensando que el enfoque que se le a dado a tumbleweed no es el mas adecuado para que la distro siga por el camino de la innovación y siendo puntera como hasta ahora. Creía que era un gran paso por parte de los desarrolladores pues creo que el futuro de GNU-LINUX es que todas las distribuciones sean rolling release, que conforme se actualicen paquetes se añadan para su actualización, bueno eso es lo que creo y lo que me gustaría a mi je, je...
Salu2
__________________

Si tienes el vibrato de BB King, el tapping de Van Halen, la velocidad de Malmsteen y la guitarra de Vai... enhorabuena eres un gran imitador.
Responder Citando
  #9  
Antiguo 16-sep-2012, 00:59
jcsl jcsl está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 18-mayo-2008
Versión: Tumbleweed
Mensajes: 2.104
Agradecimientos: 0
Agradecido 973 Veces en 587 Mensajes
Poder de Credibilidad: 12
jcsl llegará a ser famoso muy pronto
Hola.

Cita:
Iniciado por XisEme Ver Mensaje
Al contrario que jcsl, en los casos de problemas de dependencias simplemente le he dicho no actualizar, con lo que mi tumbleweed es casi igual a la de antes de la modificación de sus repositorios.
El mayor problema me lo dio el repositorio XOrg actualizado que usaba. En verdad había llegado a un punto en que se había vuelto incompatible con Tumbleweed y con una actualización muy reciente ya solo entraba en modo a prueba de fallos. No tenía KDE 4.9 ni muchos programas instalados, por eso me daba lo mismo una versión que otra. Aproveché la actualización para hacer limpieza y poner orden, XD.

Cita:
Iniciado por jesusx Ver Mensaje
Bueno pues, se agradecen vuestros comentarios.
Sigo pensando que el enfoque que se le a dado a tumbleweed no es el mas adecuado para que la distro siga por el camino de la innovación y siendo puntera como hasta ahora. Creía que era un gran paso por parte de los desarrolladores pues creo que el futuro de GNU-LINUX es que todas las distribuciones sean rolling release, que conforme se actualicen paquetes se añadan para su actualización, bueno eso es lo que creo y lo que me gustaría a mi je, je...
Salu2:adios:
Es muy difícil que una rolling release sea tan estable como una cíclica, por eso dudo que todas las distribuciones vayan por ese camino. Tendrán derivados como tienen ahora, o apaños como Tumbleweed, pero casi seguro que mantendrán una versión estable (a menos que de entrada sean rolling release). Cada cosa tiene su público y en sistemas de producción lo que quieres es todo lo contrario, que te den el máximo tiempo de soporte para la versión que uses con cuantas menos modificaciones mejor.

Un saludo.
Responder Citando
  #10  
Antiguo 16-sep-2012, 02:52
XisEme XisEme está desconectado
Miembro Senior
 
Fecha de Ingreso: 08-septiembre-2005
Ubicación: ±43º21'N8º22'W
Versión: Tumbleweed[x64]
Mensajes: 1.232
Agradecimientos: 22
Agradecido 301 Veces en 258 Mensajes
Poder de Credibilidad: 14
XisEme está en el buen camino
Discrepo. El enfoque tumbleweed es muy válido: repositorios con versiones más modernas sin perder estabilidad.

Qué paquetes se modernizan? los que deciden sus mantenedores que para eso hacen el trabajo. No habrá nunca consenso sobre ello. Por ej. ellos gustan de poner nuevos kernels constantemente, a mí casi me parece un fastidio, a otros les parecerá que es clave.

Este es el momento crítico para tumbleweed. Particularmente no hubiera apuntado de inmediato los current a la nueva 12.2, ni vaciado los standard hasta pasadas esas semanas. De igual manera que no se ha apresurado en incorporar kde-4.9, tampoco habría porqué correr a abrazar a la nueva 12.2
Al modo de Debian-testing que se «congela» antes de una nueva versión.
Ummm ... ahora que lo digo, tumbleweed y debian-testing ... tienen sus parecidos.

Tal vez en los foros se debiera (debieramos) haber insistido expresamente en no actualizar en estos momentos de cambio.

Por mi parte he aprendido:
- en tiempo de cambios (nuevas versiones) no hacer mudanza (actualizar)
- quietos hasta ver (como en el mus ) los repositorios otra vez llenos

Si en unas semanas hemos recuperado el paso, las versiones en los repos «alcanzan» a las ya instaladas, habrá que considerar que el método funciona.

Las rolling que conozco (Chakra, Archlinux y si se quiere, Debian-testing) también tienen sus cosillas, una de ellas es que si no la actualizas en meses, cuando te pongas a ello te va a costar. También se producen regresiones.
__________________
Todo es mejorable, estamos dispuestos a mejorar. ¿Yo? ... poco a poco.
Nunca hay acritud en mis comentarios, si lo pareciera, seguro que me he expresado mal.
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
(Consulta) Conocer sobre opensuse tumbleweed + current Kik1n Instalación y Actualizaciones 38 30-jul-2014 11:49
Consulta pasar a tumbleweed Coldbeer Instalación y Actualizaciones 5 15-feb-2013 02:11
De nuevo molestando :3 tumbleweed Coldbeer General OpenSUSE 15 23-ago-2012 02:17
consulta sobre Tumbleweed jony127 General OpenSUSE 32 27-mar-2012 02:03
Tumbleweed reiniciado jcsl Noticias 32 01-dic-2011 17:03



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 08:16.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba